Name:           tellico
Version:        1.3.4
Release:        1%{?dist}
Summary:        A collection manager

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.periapsis.org/tellico/
Source0:        http://www.periapsis.org/tellico/download/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libxslt-devel
BuildRequires:  libxml2-devel
BuildRequires:  gettext
BuildRequires:  libgcrypt-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  taglib-devel
BuildRequires:  libyaz-devel
BuildRequires:  exempi-devel
BuildRequires:  poppler-qt-devel
BuildRequires:  kdelibs3-devel

%if 0%{?fedora} < 10
BuildRequires:  kdepim3-devel
%endif

%if 0%{?fedora} < 9
BuildRequires:  kdemultimedia3-devel
%endif

%if 0%{?fedora} < 7
BuildRequires: tcp_wrappers
%else
BuildRequires: tcp_wrappers-devel
%endif

Requires:       python

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from Amazon.com.


%prep
%setup -q

%build
%configure --disable-rpath --enable-webcam
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
# HTML
for lang_dir in $RPM_BUILD_ROOT%{_docdir}/HTML/* ; do
  lang=$(basename $lang_dir)
  [ "$lang" == "en" ] && d=en/%{name} || d=$lang
  echo "%lang($lang) %doc %{_docdir}/HTML/$d" >> %{name}.lang
done

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --add-category X-Fedora                           \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/*
%{_datadir}/applications/kde/tellico.desktop
%{_datadir}/apps/kconf_update/
%{_datadir}/config.kcfg/tellico_config.kcfg
%{_datadir}/config/tellicorc
%{_datadir}/apps/tellico/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/application/x-tellico.desktop
%{_datadir}/mime/packages/tellico.xml


%changelog
* Thu Sep 18 2008 José Matos <jamatos@fc.up.pt> - 1.3.4-1
- update to 1.3.4

* Thu Jul 17 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3.3-1
- update to 1.3.3

* Sun May 25 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.2.1-1
- Updated to latest upstream (1.3.2.1)

* Thu May 22 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.1-3
- Only kdepim3-devel if <= F-9, the KDE3 version of kdepim has been been
  removed from F-10/rawhide.

* Tue May 20 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.1-2
- Rebuild for new deps.

* Wed Mar 19 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3.1-1
- New upstream release (1.3.1)

* Mon Feb  4 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-5
- Unify spec file for F7-F9.

* Sat Feb  2 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-4
- Fix build dependency on poppler (qt version).

* Fri Feb  1 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-3
- Add support to parse pdf metadata.

* Wed Jan 30 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3-2
- Enable webcam support.
- Install missing MIME file.

* Wed Jan 30 2008 José Matos <jamatos[AT]fc.up.pt> - 1.3-1
- New release.

* Wed Dec 12 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 1.2.14-6
- Remove BR: kdemultimedia3-devel, no longer available

* Wed Dec 12 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 1.2.14-5
- Rebuild for new kdemultimedia

* Fri Dec 07 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 1.2.14-4
- Specify kde{libs,multimedia,pim}3-devel for BR (kdelibs-devel now provides KDE 4)

* Thu Dec  6 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.14-3
- Rebuild for new libssl (F9+).

* Thu Sep 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.14-2
- Declare new file (due to the fix for Fedora 7).

* Thu Sep 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.14-1
- New upstream version (fixes problem with settings not being saved on Fedora).

* Mon Aug 27 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.13-2
- License fix, rebuild for devel (F8).

* Sat Aug 11 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.13-1
- New upstream version.

* Wed Jul 25 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.12-1
- New upstream version.

* Thu Jun  7 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.11-1
- New upstream version.

* Sat Apr 21 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.10-1
- New upstream version.

* Thu Mar  8 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.9-1
- Update to 1.2.9.

* Tue Feb  6 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.8-1
- New upstream version.

* Mon Feb  5 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-3
- Condicionalize the BR for tcp_wrappers, it has a proper devel file
  for Fedora >= 7.

* Tue Jan 30 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-2
- BR tcp_wrappers.

* Tue Jan 30 2007 José Matos <jamatos[AT]fc.up.pt> - 1.2.7-1
- New upstream version.

* Mon Dec  4 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2.6-1
- New upstream version.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.2.2-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2.2-1
- Revert desktop file to original one, and drop vendor.
- New upstream release.
- Pass --disable-rpath to configure.

* Sun Sep  3 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2-2
- --vendor=fedora
- Use correct capitalization for Summary
- Remove useless entries in docs.

* Fri Sep  1 2006 José Matos <jamatos[AT]fc.up.pt> - 1.2-1
- Submitted to Fedora Extras (loosely based on Dag and Dries version)

